 Table of Contents
Browse the ALSong help table of contents.
Table of Contents

  • Introduction

    Interface

    • Main Interface
    • Compact Player Mode
    • Miniplayer

    Main Menu

    • File
    • Play
    • View
    • Options
    • Help

    Basic Functions

    • Open Music
    • Play Music
    • Play Previous/Next Track
    • Rewind/Fast Forward 5 Seconds
    • Volume

    Detailed Functionality

      Playback Settings

      • Repeat
      • Shuffle

      Playlist

      • View Playlist
      • Search Playlist
      • Virtual Folders

      Live Song Lyrics

      • Song Lyrics Window
      • Add Song Lyrics
      • Multi-line Synchronizations
      • Edit Song Lyrics
      • Report Incorrect Lyrics

      Skins

      • Change Skins
      • Change Color Themes
      • Set Transparency
    • Create Albums
    • Language Learner

      Tags and Info

      • File and Tag Info
      • Batch Tag Editor

    Options

    • General
    • Title Display Format
    • Playlist
    • Song Lyrics
    • Global Shortcuts
    • Sound Effects
    • Skins
    • File Associations
    • Miscellaneous
  • Shorcut Keys
  • Support
  • Get More ALTools!

Related Links:

| Table of Contents | Shorcut Keys | Support | Get More ALTools!


ALSong Audio Media Player

 ALSong Introduction
ALSong combines all the features of traditional audio players with its own set of unique and useful features like live lyrics.
ALSong Introduction

ALSong About Screen

Powerful Player Features

  • Attractive Skins & Color Themes
    Attractive skins and color themes let you choose how you want ALSong to look and feel.

  • Minimize to Mini Player
    To save space, you can minimize ALSong into the Windows taskbar and access all of its functionality including song lyrics and playlist.

  • 10-Band Equalizer
    The powerful 10-band EQ in ALSong gives you fine control over your music and with extra pro-quality presets and the ability to save your own custom presets, you're ready to listen to your music your way.

  • High-Performance Audio Engine
    The core audio engine in ALSong is built for heavy-duty work and delivers a smooth listening experience with a minimal footprint on your comptuer.

  • File Support for All Common Audio Formats
    ALSong supports MP3, MPGA, OGG, WAV, WMA, APE, FLAC, CDA, S3M, MOD, ASL, M3U, PLS, and SAB files. It even supports playback of audio files inside of ZIP and ALZ compressed files.

  • Compact Modes
    Both the main player and song lyrics windows can be collapsed into a compact mode to save screen real estate. Compact mode takes up only 1/4 of the normal space.

  • Playlist with Powerful Organizing Features
    More than just a playlist, ALSong's playlist is a fast play-organizer. You can easily rearrange and organize large playlists with convenient virtual folders. For less adventurous souls, all the normal playlist features you expect are there.

  • Tag Editor
    For single files or batches of thousands, the ALSong tag editor lets you add, edit, or delete tags quickly and easily.

  • Audio Effects
    Graceful fades and normalization enhance and soften your listening experience.

Convenient Extras

  • Real Time Synchronized Song Lyrics
    Many songs are already in the ALSong Song Lyrics server for you and if the song you want isn't in there, you can add it yourself quickly and easily. Song Lyrics are synchronized to songs, so you can listen and read at the same time.

  • Streaming Audio
    Type in an Internet address (URL) to listen to Internet radio broadcasts and other streaming audio services.

Additional Conveniences

  • Compressed File Playback Support
    Borrowing from ALSong's big brother, ALZip, ALSong lets you play audio files from inside of compressed archive files like ALZ, RAR and ZIP files. Just drag & drop them into ALSong to listen.

  • Shorcut Keys
    Fast and convenient shorcut keys make working with ALSong fast and easy. Global shortcut key options let you access ALSong from inside any other program.

  • Create Customized Album Compilations
    You can create album files that contain all your favorite songs just like you would create a custom CD. Along with your album file you can add comments and pictures for a customized playlist. Albums are a fantastic way to share your music with friends and family while you give it that personal touch that's all your own.

  • PC Auto-Shutdown
    You can set ALSong to shutdown your computer, log off, or go into power-save mode after a predetermined time.

  • Language Learner
    Ideal for learning a new language, you can adjust a song's tempo (playback speed), musical key (pitch), and even play a song backwards. Should we learn Korean

  • Transparency
    Adjust transparency setting for ALSong so that you can have it on always top but still see everything else on your computer.

  • Playlist Search & Sort
    An easy and customizable search lets you quickly find songs in the playlist and sort them. You can search to find songs, then sort by song title, file name, file path & name, and even shuffle them. It's all under your control.

  • Desktop Lyrics Bar
    The ALSong Desktop Lyrics Bar lets you put a bar that displays song lyrics anywhere on your desktop. You can change the location, size, font, font color, and even the transparency levels.

Related Links:

| Table of Contents


 ALSong Main Interface
The ALSong main interface consists of the player, equalizer, song lyrics, and playlist windows. From here you can control any of ALSong's many useful and unique features.
ALSong Main Interface

ALSong Main Player
ALSong Main Window

Playlist
ALSong Playlist Window

Live Lyrics
ALSong Live Synchronized Song Lyrics Window

Equalizer
ALSong Equalizer window

ALSong Main Player: The main player lets you toggle other windows on/off and control playback. It also gives access to other features through the main menu.

  • Play, pause, stop, fast forward, rewind, adjust volume, set repeat modes, set shuffle modes, and read basic song info.
  • Change skins and color themes.
  • Listen to web radio broadcasts on the Internet by entering a URL.

Playlist: This contains all the songs for ALSong to play. You can manage and organize files here.

  • Add, remove, and organize music either with the traditional file mode, or the powerful and convenient folder mode.
  • Organize music in virtual folders
  • Create custom album compilations to organize your music or share your music with friends and family.
  • Sort and search for music in the playlist

Song Lyrics: If there are any lyrics associated with your music, they are displayed here.

  • Lyrics are real time and will automatically scroll as the music plays.
  • Anyone can upload or edit song lyrics. Yes - that means you too :)

Equalizer: The 10 band EQ has several presets for you to choose from and you can save your own custom presets.

Related Links:

| Table of Contents | Main Interface | Compact Player Mode | Miniplayer


 ALSong Compact Player Modes
The ALSong compact player modes lets you save screen real estate while still providing access to the most important and useful features. This is available for the main player as well as the song lyrics window.
ALSong Compact Player Modes

ALSong Main Player in Compact Mode

Minimize to compact mode
Click the compact mode button in the upper right to toggle between compact and full mode.

ALSong Compact Mode - Fade to Black

Song Lyrics in Compact Mode

Live Lyrics - und keine eier
Click the compact mode button in the upper right.

Live Lyrics Compact Mode - und keine eier

Related Links:

| Table of Contents | Main Interface | Compact Player Mode | Miniplayer


 ALSong Toolbar Miniplayer
You can minimize ALSong into the Windows taskbar for fast and convenient access without taking up valuable screen real estate.
ALSong Toolbar Miniplayer

Minimizing ALSong lets you use all of ALSong's functionality in the compact ALSong Toolbar Miniplayer displayed in the Windows Taskbar.
To enable or disable the ALSong Toolbar Miniplayer, right click on an empty space in the Windows Taskbar and in the Toolbars flyout menu check or uncheck ALSong Toolbar Miniplayer.

ALSong Toolbar Miniplayer playback controls ALSong Toolbar Miniplayer song display and progress seek bar

To flip between the playback controls and the song display, click the up/down button ALSong Toolbar Miniplayer playback/display toggle button.

Click the [Playlist]button ALSong Toolbar Miniplayer playlist button to view the previous, current, and next tracks in the playlist.

ALSong Miniplayer Playlist

Click the [Song Lyrics] button ALSong Toolbar Miniplayer Song Lyrics button to display song lyrics if they are in the system.

ALSong Miniplayer lyrics - Love Sees No Color

Related Links:

| Table of Contents | Main Interface | Compact Player Mode | Miniplayer


ALSong Menu - File

 File
The File menu lets you add files and folders to playlists that you can save for later use.
File

ALSong File Menu

Open: Options in the Open flyout will remove the current playlist and add your selection to a new blank playlist.

  • Open File (L) - Select files from a folder to add to a new playlist.

  • Open Folder (Shift + L) - Select a folder. All compatible files are added to a new playlist. The folder itself is visible in the playlist Folder View mode.

  • Open URL (Ctrl + L) - Enter a URL for a broadcast or compatible audio format on the Internet. The URL is added to a new playlist.

Add: Options in the Add flyout do not erase the current playlist. Rather, selections are added to the current playlist.

  • Add File (N) - Select files from a folder to add to the playlist.

  • Add Folder (Shift + N) - Select a folder. All compatible files are added to the playlist. The folder itself is visible in the playlist Folder View mode.

  • Add URL (Ctrl + N) - Enter a URL for a broadcast or compatible audio format on the Internet. The URL is added to the playlist.

Open Button: Choose what the open button should open.

  • Open File - Browse for files to open.

  • Open Folder - Browse for folders to add to the playlist.

  • Open URL - Enter an Internet address (URL).

Web Radio: Listen to web radio stations or broadcast your own web radio station with SHOUTcast.

  • Listen to Web Radio - Choose from preset web radio stations or add your own.

  • Broadcast Web Radio - Use ALSong as your own private DJ booth to broadcast to the world.

Open Playlist (Ctrl + O): Choose a playlist to load. Valid playlist formats include ASL, M3U, and PLS files.

Save Playlist (Ctrl + S): Choose a playlist format to save the playlist as. Valid playlist formats to save include ASL, M3U, and PLS files.

Open Previous Playlist (Ctrl + B): Open the previous playlist. This is especially useful if you set ALSong to erase playlists when double-clicking audio files in Windows Explorer.

Exit (Alt + 4): Close ALSong.

Related Links:

| Table of Contents | File | Play | View | Options | Help


ALSong Menu - Play: Control music playback, audio effects

 Play
Control playback, audio effects, and navigate inside of songs or the playlist.
Play

ALSong Play Menu

Previous Track: Play the previous track in the playlist.

Play: Play the current track.

Pause: Pause the currently playing track.

Stop: Stop playback of the currently playing or paused track.

Next Track: Advance to the next track in the playlist.

Rewind: Rewind back 5 seconds during playback.

Fast Forward: Fast forward 5 seconds during playback.

Repeat: Set the repeat mode to one of Repeat Track, Repeat All, Repeat Folder (for Folder View in the playlist), or No Repeat.

Shuffle: Instead of playing files linearly through the playlist, ALSong can randomly jump around the playlist after each song finishes.

Volume Up: Increase the volume.

Volume Down: Decrease the volume.

Mute: Turn the volume off completely.

Language Learner: Open the Language Learner dialog to adjust playback tempo, key, or to play the song in reverse.

Related Links:

| Table of Contents | File | Play | View | Options | Help


ALSong Menu - View

 View
Toggle the ALSong playlist, equalizer, and song lyrics windows or edit tags and create albums.
View

ALSong View Menu

Playlist (Ctrl + P): Toggle the playlist visibilty.

Equalizer (Ctrl + Q): Toggle the equalizer visibility.

Song Lyrics (Ctrl + R): Toggle the song lyrics visibility.

Song Lyrics Editor (Ctrl + E): Open the song lyrics editor and enter song lyrics and synchronization information for the current song.

Desktop Lyrics Bar: Toggle the Desktop Lyrics Bar visibility.

Create Album: Create custom compilations just like you would for burning CDs, only easier.

Batch Tag Edtior (Ctrl + Alt + 3): Open the Batch Tag Editor to edit common tags for many files at one time.

View File & Tag Info (Alt + 3): Shows basic file information as well as tag information for file formats that support tags, e.g. MP3, OGG, and WMA.

Related Links:

| Table of Contents | File | Play | View | Options | Help


ALSong Menu - Tools

 Options
Set ALSong skins, preferences, control EQ presets, time display type, and whether you want ALSong on top of all other applications.
Tools

ALSong MP3 Player Options

Skins: Choose your skin and color theme here.

  • Change Skin - You can change the skin that you use here.

  • Color Themes - Select a color theme for your skin.
    ALSong Skin Color Themes

  • Transparency - Set transparency levels for ALSong. This is particularly useful with [Always on Top].
    ALSong Transparency

Equalizer: This flyout menu let you access important EQ functions.

  • Enable EQ - Check or uncheck this to turn the EQ on or off.

  • Add Preset - This saves your current EQ setting as a new preset.

  • Delete Preset - This removes the currently selected preset from the presets list.

Show Elapsed Time: Changes the time display in the main player to show how much of a song has already been played.

Show Remaining Time: Changes the time display in the main player to show how long is left in the song.

Always on Top: When checked, ALSong will stay on top of all other applications. This is very effective with ALSong in compact mode and with transparency enabled.

Preferences: This displays the [Preferences] dialog and gives you the most control over how you want ALSong to behave.

Related Links:

| Table of Contents | File | Play | View | Options | Help


ALSong Help

 Help
Get help, support, and extra information on and about ALSong.
Help

ALSong Help and Support Options

Help: Click this to display the online help file, i.e. the help that you are reading now.

Readme: For a version history and other important information not in the help file, check out the readme.txt file here.

Contact: Click here to get in contact with us.

Support: Click here for our online Support Desk.

ALTools Home Page: Visit here to get more ALTools~!

ESTsoft Home Page: Visit the ESTsoft home page.

About: Get version information for ALSong.

Related Links:

| Table of Contents | File | Play | View | Options | Help


Open Audio Files in ALSong

 Open Audio Files
Open audio files to play in ALSong.
Usage

  1. Start ALSong.

  2. On the main menu, click [File] > [Open] and choose an option from the flyout to add audio files that you wish to add to ALSong's playlist. You can also right-click on ALSong and choose [Open] to add your audio files. "Opening" files, folders, or URLs clears the playlist.
    • Open File: Use this to add a file or group of files to the playlist. (Clears the playlist.)

    • Open Folder: Use this to add all the audio files in a folder to the playlist. (Clears the playlist.)

    • Open URL: Use this to type in an Internet address for an audio file or broadcast. (Clears the playlist.)

    Also, on the main menu you can click [File] > [Add] or right-click on ALSong and choose [Add].

    • Add File: Use this to add a file or group of files to the playlist. (Preserves the existing playlist.)

    • Add Folder: Use this to add all the audio files in a folder to the playlist. (Preserves the existing playlist.)

    • Add URL: Use this to type in an Internet address for an audio file or broadcast. (Preserves the playlist.)

  3. After choosing an Open/Add File/Folder/URL option, a dialog box opens.

  4. Choose the file/folder/URL that you wish to open/add and click the [Open].

  5. The audio files appear in the playlist.

Related Links:

| Table of Contents | Open Music | Play Music | Play Previous/Next Track | Rewind/Fast Forward 5 Seconds | Volume


Play Music Files in ALSong MP3 Player

 Play Music Files
Play music in the playlist with the ALSong Live Lyrics MP3 player.
Usage

  1. On the main menu or on ALSong's right-click context menu, choose [Play] > [Play / Pause].

  2. On your keyboard, press the X key or spacebar to play / pause.

  3. In ALSong, click the play button Play button . You can also use the Enter key on your keyboard after selecting a song in your playlist.

Remarks

Playing Compressed Files: ALSong lets you play audio files inside of compressed archives without extracting the contents. Just open an ALZ, RAR or ZIP file as you would any other audio file. ALSong does all the rest for you automatically.

(Supported Formats: ALZ, RAR, SAB, ZIP)

Related Links:

| Table of Contents | Open Music | Play Music | Play Previous/Next Track | Rewind/Fast Forward 5 Seconds | Volume


Play Previous/Next MP3 or Audio File

 Play Previous / Next
Go back to the previously played track or ahead to the next track enqueued in the playlist.
Usage

  1. On the main menu or ALSong's right-click context menu, click [Play] > [Previous] or [Next] to go back or forward 1 track in the playlist.

  2. On your keyboard, press the Z key to go back 1 track or press the B key to go forward 1 track in the playlist.

  3. In ALSong, press the Previous Track button Rewind button or the Next Track button Next button .

Related Links:

| Table of Contents | Open Music | Play Music | Play Previous/Next Track | Rewind/Fast Forward 5 Seconds | Volume


Rewind/Forward 5 Seconds

 Rewind/Fast Forward 5 Seconds
Quickly rewind or fast forward 5 seconds while playing music.
Usage

  1. On the ALSong menu, click [Play] > [Rewind] or [Fast Forward] to go back or forward by 5 seconds.
    You can also use right-click on the ALSong MP3 player, Equalizer, or Lyrics window and then choose [Play] > [Rewind] or [Fast Forward].

    Rewind and Fast Forward MP3 Music

  2. Keyboard shortcuts are also available. Press the left arrow key to rewind 5 seconds or press the right arrow key to fast forward 5 seconds.

    * You can change the number of seconds that ALSong rewinds or fast forwards by in the preferences on the Playlist screen:
    Skip by number of seconds

Related Links:

| Table of Contents | Open Music | Play Music | Play Previous/Next Track | Rewind/Fast Forward 5 Seconds | Volume


 Volume Control
Change music playback volume.
Usage

  1. On the main menu Click [Play] > [Volume Up / Volume Down / Mute] to change the volume.
    You can also use your right-click context menu in ALSong. Click [Play] and in the flyout menu choose from [Volume Up / Volume Down / Mute].

  2. On your keyboard, press M for Mute, or the up/down arrow keys to change the volume.

  3. There is a convenient slider in the main ALSong player window Volume Slider. Click on it and drag it to slide the volume up or down. You can also click the speaker mute icon beside the slider to mute playback.

Related Links:

| Table of Contents | Open Music | Play Music | Play Previous/Next Track | Rewind/Fast Forward 5 Seconds | Volume


Repeat Playback

 Repeat
Choose from several repeat modes in ALSong.
Usage

  1. On the main menu, click [Play] > [Repeat] >[Repeat Track / Repeat All / Repeat Folder / No Repeat].
    The same options are also available on your right-click context menu in ALSong, [Play] > [Repeat] > [Repeat Track / Repeat All / Repeat Folder / No Repeat].

    • Repeat Track: Play only the currently selected track again.

    • Repeat All: Play the entire playlist again.

    • Repeat Folder: When using the playlist's folder view (as opposed to the playlist's file view), this plays all the songs in the playlist 's current folder.

    • No Repeat: Nothing is repeated and playback stops at the end of the current playlist.

    Notes on Repeat Folder: Although disk folders will look the same when first added to the playlist, subsequent rearrangement and dragging files around inside of the playlist will only be reflected in the playlist and not on disk. So this function does not refer to actual folders on hard disk, but does refer to the arrangement in the playlist.

Related Links:

| Table of Contents | Repeat | Shuffle


Shuffle Playlist Playback

 Shuffle Playlist
You can shuffle the playlist for random track playback.
Usage

  1. On the main menu, click [Play] > [Shuffle].
    You can also use the right-click context menu, [Play] > [Shuffle].

  2. In ALSong, click the Play Order/Shuffle button Play in order / Shuffle to toggle between linear and random playback of the playlist.

Related Links:

| Table of Contents | Repeat | Shuffle


Playlist View - Files & Folders

 Playlist View
You can view the playlist as files or as folders.
Usage

  1. On your right-click context menu in the ALSong playlist choose [Playlist View] - [Folder View / File View].

  2. At the bottom of the ALSong playlist, click the view button and choose [Folder View] or [File View].
    File Folder view in playlist

File View vs. Folder View
File View | Folder View
File view of playlist | Folder view of playlist

Related Links:

| Table of Contents | View Playlist | Search Playlist | Virtual Folders


Search Playlist for Songs and Artists

 Search Playlist
ALSong's powerful search lets you find songs quickly in the playlist.
Usage

  1. Right-click and choose [Show/Hide Song Search] to display the search bar.

  2. You can also click the [Show/Hide Song Search] button Search for songs in the playlist quickly at the bottom of the playlist to display the search bar.
    Search for songs in the playlist quickly

ALSong searches the playlist display for a match, so you can control how you want to search by changing the playlist display in the preferences.

Related Links:

| Table of Contents | View Playlist | Search Playlist | Virtual Folders


 Add Virtual Folder
You can create custom virtual folders in the ALSong playlist to help organize your favorite music.
Virtual Folders

  1. In the ALSong playlist, right-click and choose [Add Virtual Folder].

    Virtual Folders help to organize music

  2. Enter a name for the new folder and click [OK].

    Type a virtual folder name

  3. The new virtual folder is added to the end of the playlist. Drag & drop songs, folders, albums and even other virtual folders into the new virtual folder.

    ALSong virtual music folders help to organize mp3 music

IMPORTANT NOTE: Virtual folders in the ALSong playlist do not exist on your hard disk. They are just a convenient way to help organize songs inside of the playlist. Further, the folder view in ALSong should not be considered as a literal representation of your files on disk. All folders in the playlist are themeselves virtual and not actual folders on disk. So, when you move songs around in the folders in the playlist, they are not actually moved on disk. This lets you organize playlists quickly and easily without worrying about the actual files on disk. You can think of ALSong playlists as an easy way to have many different views of your music.

MORE IMPORTANT NOTE: When saving your playlists, make sure to save them as ALSong playlists (*.asl) in order to preserve the organization of the files. Other playlist formats like M3U and PLS do not let you organize your music as powerfully as an ALSong playlist.

Related Links:

| Table of Contents | View Playlist | Search Playlist | Virtual Folders


Synchronized Song Lyrics

 Song Lyrics Window
You can read synchronized song lyrics in the Song Lyrics window.
Song Lyrics

  1. To view or hide the Song Lyrics window, on the main menu check or uncheck [View] > [Song Lyrics]. You can also right-click on ALSong and check or uncheck the [Song Lyrics] option there.

  2. In the main player portion of ALSong that is always visible, click the Lyrics Window icon Toggle live song lyrics window visibility (also the microphone icon Toggle song lyrics with microphone icon ) (Show Song Lyrics) to toggle the visibility of the Song Lyrics window.

  3. From your keyboard, press Ctrl + R to toggle the Song Lyrics visibility.

    Press Ctrl + R to toggle the song lyrics window visibility

  4. Play any song with lyrics entered into the system to listen and view.

Remarks

What are synchronized song lyrics?
Just like captions or subtitles in a foreign language movie, ALSong can display text for a song's lyrics in real time.

But it gets even better... There are already millions of song lyrics synchronizations available to you, all for free. And you can easily add more song lyrics to the ALSong Lyrics Server database for everyone to share! You even get credit for it because you can enter your name or nickname along with a URL for your personal home page.

Related Links:

| Table of Contents | Song Lyrics Window | Add Song Lyrics | Multi-line Synchronizations | Edit Song Lyrics | Report Incorrect Lyrics


 Adding Synchronized Song Lyrics
You can add new synchronized song lyrics to the ALSong database for everyone to share and enjoy.
Add Song Lyrics

  1. On the main menu click [View] > [Song Lyrics Editor] or on your keyboard, press Ctrl + E.

    In the Song Lyrics window, click the message text (1) or click the Add Lyrics button (2) to open the Synchronized Song Lyrics Editor.

    Add new song lyrics in ALSong

  2. Check to make sure that at a minimum the file name appears in the Synchronized Song Lyrics Check screen then click the [Next] button to continue.

    Check if song lyrics exist in the song lyrics server then click next

  3. Fill in any remaining information about the song as shown below then click the [Next] button. Make sure that your information is entered accurately or your search results in the next step may not return the right results.

    Make sure the song title, album name, and artist are correct

  4. You can search to see if there is already a set of synchronized song lyrics for your music file. Click the [Search] button to see if a set of song lyrics already exist for your music.

    (1) Enter the song title and artist then click the [Search] button. If there are any song lyric results, choose a set from the drop down menu. You can then preview to see if the timings are correct for your music file.

    Search for lyrics for your music

    (2) After selecting a set of lyrics, the results appear in the Song Lyrics Synchronization Preview pane. Click the [Preview] button to check that the song lyrics and the synchronization timings are correct for your music file.

    Preview song lyrics synchronizations

    (3) If you find a set of song lyrics that are properly synchronized for your music file, click the [Link Song Lyrics] button to link your file to those song lyrics.

    Link song lyrics synchronizations

    After linking a song with synchronized lyrics, you are prompted to confirm the link. Click [Yes] to accept the link and the next time you play that song in ALSong, you'll be able to see the new synchronized song lyrics.

    Confirm linking song lyrics to view music lyrics in ALSong

    Click [Do Another] to repeat the process for another song or click [Done].

    Finished linking song lyrics to music

  5. In step 4-1 above, you searched to find the correct/existing song lyrics, but if they don't already exist in the system, or you're trying to change incorrect song lyrics or synchronization timings, you'll be presented with the following screen.

    If you're entering a new set of song lyrics, copy and paste the lyrics into the Song Lyrics text area.

    If you're fixing incorrect song lyrics, make your changes to the lyrics in the text area.

    Click [Next].

    Enter song lyrics and click next

  6. Click the play button to start playback. Click on a line in the [Synchronization Info] grid to set a line for synchronization with the the sync cursor (a pointing hand icon). Just before you hear the song lyrics for the selected line, click the [Set Sync Point] button. The sync cursor automatically advances to the next line. Continue to click the [Set Sync Point] button for each lyric line. When finished, click the [Next] button.

    Click the Set Sync Point button to sync song lyrics with music

    (1) 1 Line / 2 Lines / 3 Lines Sync: You can sync lines in groups of 1, 2 or 3 lines at a time. Please see Synchronizing Multiple Song Lyric Lines for more information on why, when and how to use multiple line synchronization.
    (2) Speed: For high-quality synchronization of easier or more difficult parts of song lyrics, you can adjust the playback speed without changing the pitch.
    (3) Play / Pause: Click the Play or Pause button at anytime. Playing in the Song Lyrics Editor will stop playback in the main ALSong window and start playback in the Song Lyrics Editor.
    (4) Reset: To start a synchronization over, click the Reset button to set all times to zero.
    (5) Test: Click the Test button to preview your work and see if the synchronization is correct.
    (6) Set Sync Point: Click this to set the time for the text line with the sync point cursor, the little pointing hand. You can also use the shortcut key, Alt + S.

  7. Take credit for your work by entering your name or a screen name as well as your personal home page web site address (URL). You can enter up to 50 characters as a text comment. Your name is displayed at the top of the ALSong Song Lyrics window in the main ALSong interface. Hovering your mouse over your name will reveal your comments and clicking your name will take you to your home page. Once you're finished, click the [Next] button to send the completed work to the ALSong Synchronized Song Lyrics server for everyone to share.

    Let people know who you are

  8. A message will be displayed telling you if everything went well. You can then go back to ALSong and immediately see your new song lyrics live in ALSong.

    Click Done to finish or click Do Another to enter more music lyrics

Related Links:

| Table of Contents | Song Lyrics Window | Add Song Lyrics | Multi-line Synchronizations | Edit Song Lyrics | Report Incorrect Lyrics


 Synchronizing Multiple Song Lyric Lines
You can synchronize multiple song lyrics lines for special purposes.
Synchronizing Song Lyrics

ALSong let's you choose to synchronize 1, 2 or 3 lines at a time. There are some special cases where syncing 2 or 3 lines is desireable, and one special consideration for doing so.

Special Cases for Song Lyrics

For anywhere that warrants extra text to help with or enhance the original text for the audio, multiple line synchronization lets you add what you need. Some examples include:

  1. Foreign language study - Translation & pronunciation guide lines
  2. Commentary / Explanation of audio / text
  3. Education - Additional information to accomany audio
  4. Background lyrics - Keep everything displayed at the same time

Formatting for Song Lyrics

There are 3 display areas for song lyrics in ALSong:

  1. ALSong's main interface Song Lyrics display window
  2. Floating translucent song lyrics bar
  3. The ALSong mini-player song lyrics display bar

When syncing 2 or 3 lines at a time, the original text for synchronization must be spaced properly in line groups of 2 or 3 lines. If you wish to add blank lines, you will need to add 2 or 3 blank lines instead of just 1. This will keep your synchronization well ordered and make it easier to work with.

Using a text editor that shows line numbers can make formatting and organizing a translation much easier.

For example, consider the following short text for the song Aldebaran by Enya:

 | Irish Gaelic | English
Verse 1 | Codladh fada, Codladh domhain. Éirigh! Amharc síos Aldebaran. | Long sleep, Deep sleep. Rise! Look down Aldebaran.
Verse 2 | Siúil liom tríd an réalta dearg. Deireadh, deireadh an turas. Réaltóg, réaltóg dearg. | Walk with me through the red star. The end, end of the journey. Star, red star.

Formatting this translation should yield something similar to one of the following:

Line number | Song Lyrics and Translation | Comments
1 | Codladh fada, | Pairs of translated lines have no space between them. With 2 line sync, the next Irish Gaelic line will be visible in 2 of ALSong's 3 lyrics display areas (#2 and #3 as detailed above).
2 | Long sleep,
3 | Codladh domhain.
4 | Deep sleep.
5 | Éirigh! Amharc síos
6 | Rise! Look down
7 | Aldebaran.
8 | Aldebaran.
9 |  | Two lines separate the first and second verse.
10 |
11 | Siúil liom tríd an réalta dearg. | With two lines separating each Irish Gaelic/English pair of lines, the third line displayed in ALSong is blank. This technique can be used for entertainment or for education, properly spacing the translated pairs could reveal the translation only after the Irish Gaelic has been read and heard, forcing immediate understanding and reinforcing with confirmation only after the fact.
12 | Walk with me through the red star.
13 |
14 |
15 | Deireadh, deireadh an turas.
16 | The end, end of the journey.
17 |
18 |
19 | Réaltóg, réaltóg dearg.
20 | Star, red star.

Note the highlighting of line numbers in groups of 2 and how even the spaces are also grouped in 2's. Similarly for groups of 3, spacings should have 3 blank lines.

Related Links:

| Table of Contents | Song Lyrics Window | Add Song Lyrics | Multi-line Synchronizations | Edit Song Lyrics | Report Incorrect Lyrics


Song Lyrics Editor - Editing Synchronized Song Lyrics

 Editing Synchronized Song Lyrics
You can edit song lyrics and timings when they are not correct.
Edit Song Lyrics

  1. For a song that is playing, on the right hand side of the Song Lyrics window, click the [Edit Song Lyrics] button (the eraser icon) to edit song lyrics that may be wrong or have incorrect timings.

    Click the Edit Song Lyrics Button Click edit song lyrics button

  2. You can also right-click on ALSong (not the playlist) and choose [Song Lyrics Editor] > [Edit Song Lyrics].

  3. In the Song Lyrics Editor, the first screen presents you with the currently recorded song lyrics. (You are presented with an error screen if you try to edit song lyrics for an audio file on your hard disk that does not have any lyrics associated with it. You can then choose to create a new song lyrics registration.)

    (1) If your music is associated with the wrong song lyrics, click the [Break Lyrics Connection] button then proceed to find the proper song lyrics for your music. Clicking the [Break Lyrics Connection] button takes you into the Lyrics Search dialog.

    Break links to the wrong lyrics then link to the correct ones

    (2) Make any corrections to the song lyrics in the Song Lyrics text area then click the [Next] button.

    Make corrections to lyrics then click the next button

  4. Click the play button to check the timings. Use the [Set Sync Point] button to set sync points or use the time adjustment buttons at the bottom to move or tweak timings. Remember that no matter which button you press, it always applies to the current text line indicated by the sync cursor, a small pointing hand. Once you are finished setting sync points and tweaking them to perfection, click the [Next] button.

    Synchronize music lyrics

    (1) 1 Line / 2 Lines / 3 Lines Sync: You can sync lines in groups of 1, 2 or 3 lines at a time. Please see Synchronizing Multiple Song Lyric Lines for more information on why, when and how to use multiple line synchronization.
    (2) Speed: For high-quality synchronization of easier or more difficult parts of song lyrics, you can adjust the playback speed without changing the pitch.
    (3) Play / Pause: Click the Play or Pause button at anytime. Playing in the Song Lyrics Editor will stop playback in the main ALSong window and start playback in the Song Lyrics Editor.
    (4) Reset: To start a synchronization over, click the Reset button to set all times to zero.
    (5) Test: Click the Test button to preview your work and see if the synchronization is correct.
    (6) Set Sync Point: Click this to set the time for the text line with the sync point cursor, the little pointing hand. You can also use the shortcut key, Alt + S.

  5. Take credit for your editing work and enter your name or a screen name as well as your personal home page web site address (URL). You can also leave a short comment of 50 characters or less. Click the [Next] button.

    Take credit for your work and link to your website

  6. A message will be displayed telling you if everything went well. You can then go back to ALSong and immediately see your new song lyrics live in ALSong.

    Although you will be able to see your song lyrics modifications immediately, others will not see them until they have been reviewed by an ALSong Song Lyrics moderator. Once a moderator has approved your edits, everyone will be able to see your revised version.

    Finished entering song lyrics

Related Links:

| Table of Contents | Song Lyrics Window | Add Song Lyrics | Multi-line Synchronizations | Edit Song Lyrics | Report Incorrect Lyrics


 Report Song Lyrics Errors
Please report incorrect lyrics and timings to the ALSong Song Lyrics server moderators.
Report Incorrect Lyrics

  1. Right-click on ALSong (not the playlist) and choose [Song Lyrics Editor] > [Report Song Lyrics].

  2. In ALSong's Song Lyrics window, click the [Report Song Lyrics] button (the X or flashing light icon).

    Report incorrect song lyrics Report incorrect song lyrics

  3. Choose a predefined report for speed, or type in a custom message for the ALSong Song Lyrics Server moderator. Click the [Report] button to send the report.

    Why are the song lyrics incorrect? Select a reason.

  4. Your report will be sent over the Internet and you will receive a confirmation message.

    Thank-you for reporting incorrect lyrics

Related Links:

| Table of Contents | Song Lyrics Window | Add Song Lyrics | Multi-line Synchronizations | Edit Song Lyrics | Report Incorrect Lyrics


 Skin Settings - Change Skins
Quickly and easily change the look and feel of ALSong.
Change Skins

  1. On the ALSong main menu click [Options] > [Skins] > [Change Skin] > [Skin Name] or on your right-click context menu (not the playlist context menu) choose [Skins] > [Change Skin] > [Skin Name].

    Select ALSong Skin Menu

  2. In the preferences, you can choose the base skin type that you wish to use then a color theme. The display will automatically update itself for you to preview.

    Select a skin, theme, and transparency

Related Links:

| Table of Contents | Change Skins | Change Color Themes | Set Transparency


Change Skin Color Theme

 Change Skin Color Themes
Change the color themes in ALSong to suit your preferences.
Color Themes

  1. On the main menu, click [Tools] >[Color Themes] and choose a color, or on your right-click context menu (not the playlist context menu), choose [Color Themes] and select a color.

    Change skin color themes

Remarks

You can choose [Default Theme] to reset the color to the default for that skin. The following are some color themes available for the default skin. Other skins with color themes are also available.

Blue

Blue skin color theme

Black

Black skin color theme

Green

Green skin color theme

Red

Red skin color theme

Pink

Pink skin color theme

Related Links:

| Table of Contents | Change Skins | Change Color Themes | Set Transparency


 Transparent and Opaque
You can make ALSong more or less transparent / opaque.
Transparent / Opaque

  1. On the main menu, choose [Options] > [Skins] > [Transparency] and choose a transparency level between 10% and 90%. You can also right click on ALSong and choose [Skins] > [Transparency] and then choose a transparency level.

    Adjust transparency and opacity

    (Transparency is not supported on Windows 98.)

Related Links:

| Table of Contents | Change Skins | Change Color Themes | Set Transparency


Create Albums with the ALSong Album Editor

 Create Albums with Album Editor
You can create customized albums (compilations) in ALSong to group your favorite music together just like a customized mixed CD.
Create Albums

  1. Click [View] > [Create Album], right-click in the playlist and choose [Create Album] or click the [Create Album] button at the bottom of the playlist.

    Create Album - Organize music to take with your or share with friends and family

  2. Add songs to the Album Editor and enter information about your new custom album, e.g. album name, your name, a URL, and some comments.

    Create Album - Add music and customize your mixed music album

    (1) Album Playlist

    • Import Playlist: This adds all songs in the playlist.

    • Add File: Adds a single song or selection of songs to the album editor.

    • Add Folder: Adds all the songs in a single folder to the album editor.

    • Remove: Removes selected tracks from the album editor.

    (2) Album Layout
    • Choose from several customizable templates.

    (3) Album Info
    • The album editor allows you to enter information about your new album:
      Album Title: Enter a name for your compilation
      Author: Enter your name
      Author URL: Enter a URL for a web page
      Author Comments: Enter any comments for your compilation
      Image 1: Browse to a large album art file or a custom picture for your compilation - it should be the standard 200x200 pixels in the default theme.
      Image 2: Browse to a small album art file or a custom picture for your compilation - it should be the standard 80x80 pixels in the default theme.
      (Default images are supplied in case you do not have any.)

  3. Click the [Preview] button to see what your album will look like.

    Mixed Music Album Preview

  4. Once you are satisfied with your new compilation, click the [Create Album] button.

    Save ALSong Mixed Music Album
    (1) Enter a file name for your new compilation and click the save button.

    Save Mixed Music Albums
    (2) ALSong displays a progress dialog as it creates the album.

    Create another mixed music album
    (3) Once the album is finished, you can either create another or finish.

  5. Go to the folder where you saved your new album and double-click it to open it with ALSong.

    ALSong SAB mixed music album

  6. The album opens in ALSong along with the album playlist. To play it in ALSong, click on the song in the album playlist, or in the ALSong playlist.

    Click song titles to play them in ALSong

    ALSong mixed music album playback

  7. Once you are finished, you can also send your custom compilation (*.sab) to friends and family to enjoy, or save it to a USB key to take with you.

Related Links:

| Table of Contents | Create Albums | Language Learner


DSP Effects

 Language Learner
Use the Language Learner to change music tempo (speed), key (pitch) and even play a song backwards.
Language Learner Effects

  1. Speed - Change Music Tempo
    Adjust the tempo of a song between -50% ~ +100% without changing the pitch.

  2. Pitch Shift - Change Key
    Adjust the musical key between -12 ~ 12 semitones (i.e. +/- 1 octave).

  3. Reverse Playback
    You can play a song completely backwards from end to start. The DSP effects listed above also work on songs played backwards.

  4. Set Loop Points
    You can set a start and end loop point to listen to a section of audio repeatedly.

    Language learning assistance in ALSong

Related Links:

| Table of Contents | Create Albums | Language Learner


View File Information

 File & Tag Info
View and edit information for a selected file.
File Info

  1. Select a file and click [View] > [View File & Tag Info...] or choose [View File & Tag Info...] from the ALSong context menu.

  2. On your keyboard, press Alt + 3 to display the file info dialog.

    MP3 Tag Editor

  3. A file info dialog appears where you can find out file and tag information or edit tag information.

Irrespective of what type of file you choose, ALSong will display the proper dialog. Not all audio formats allow you to edit tag information. MP3, OGG, and WMA files all let you edit information to greater or lesser degrees. PCM files do not allow you to edit information about the file.

Related Links:

| Table of Contents | File and Tag Info | Batch Tag Editor


Batch Edit MP3, OGG, WMA Tags

 Audio File Tag Batch Editor
You can batch edit common tags for many different audio files at one time for different audio formats like MP3, WMA and OGG.
Batch Edit Tags

  1. On the main menu, click [View] > [Batch Tag Editor] to open the Audio File Tag Batch Editor or select some files in the playlist then right-click on them and choose [Batch Tag Editor].

  2. To add files for batch tag editing, click any of the [Import from Playlist], [Open File], or [Open Folder] buttons, or drag and drop files from the ALSong Playlist or from Windows Explorer.

    ALSong Batch Tag editor for MP3 tags, OGG tags, WMA tags, and ID3v1 and ID3v2 tags
  3. Enter your batch edits then click the Save button.
  4. To remove songs from the list, select files and click the [Remove] button.

Related Links:

| Table of Contents | File and Tag Info | Batch Tag Editor


Preferences - General - ALSong Music Player

 General
Set preferences for ALSong here.
General

General MP3 player preferences for the ALSong Live Lyrics MP3 player

General Settings

  • Always On Top: Check this to keep ALSong always visible on your desktop over top of other programs.

  • Autoplay when started: Check this to have ALSong automatically start playing at the last song playing when ALSong was last closed.

  • Connect to Song Lyrics Server: Check this box to get real time Lyrics updates for songs from the ALSong Lyrics Server.

  • Scroll title in ALSong miniplayer: Check this to scroll song titles when ALSong is minimized into the ALSong Toolbar in the Windows Taskbar.

  • Start when Windows Starts: Check this to automatically launch ALSong whenever you start your computer.

  • Display in: Select from: 1) Windows Taskbar (most programs run like this), 2) System Tray (the Windows clock runs here), or 3) Windows Taskbar + System Tray. ALSong will make itself visible and accessible from those locations. Most users will find option 3 to be most convenient.

Windows Explorer Integration: Actions taken when double-clicking associated files in Windows Explorer

  • Open audio file in new playlist: The playlist is cleared and the double-clicked file is added to a new blank playlist.

  • Add audio file to playlist: The double-clicked file is added to the end of the current playlist.

  • Add audio file to playlist and play: The double-clicked file is added to the end of the current playlist and played.

  • Add ALSong to Windows context menu: Check this to make ALSong available in your Windows context menu (right-click menu).

ALSong Miniplayer: Check whether or not you want to use the ALSong miniplayer as a toolbar in the Windows taskbar.

Use new song alerts: Check this option to display a short alert when a new song starts. The ALSong Miniplayer option must be checked for this.

Related Links:

| Table of Contents | General | Title Display Format | Playlist | Song Lyrics | Global Shortcuts | Sound Effects | Skins | File Associations | Miscellaneous


Preferences - Titles - ALSong Music Player

 Titles
Set what you want ALSong to display in the titles display and playlist.
Titles

Choose how song titles should appear in the main mp3 player display

Titles: Set how you wish song titles to appear in the ALSong title bar and playlist. Choose from the drop down list or type in a custom format. Refer to the list of items below the drop down list for custom format options.

MP3 ID3 Tag Settings: Choose which ID3 tag version to give preference to when displaying ID3 information.

Free CDDB: Check this to automatically get playlist information when playing CDs.

Related Links:

| Table of Contents | General | Title Display Format | Playlist | Song Lyrics | Global Shortcuts | Sound Effects | Skins | File Associations | Miscellaneous


Preferences - Playlist

 Playlist
Set preferences that you find most convenient for the playlist.
Playlist

General

  • Skip By: Choose how much to rewind or fast forward by with the left/right arrow keys.
  • Output Buffer: For slower computers, you can increase the sound buffer if sound cuts out.

Playlist

  • Auto expand folders when using Folder View: Check this to automatically expand folders in the playlist.
  • Include subfolders when adding folders to Playlist: Check this to add all music and folders inside of a folder when you add it to the playlist.
  • Show Album window when opening album files (*.sab): Check this option to display the album window with the album art, clickable song links, and album description.
  • Include compressed archives (ALZ, RAR, ZIP): Check this option to allow ALSong to read audio files inside of ALZ, RAR and ZIP compressed archives.
  • Auto scroll when viewing Folder View: Check this to automatically keep music titles visible when folder paths are long. (Horizontal scrolling.)

Sort added files by: This does not affect the entire playlist; only the added files are sorted or shuffled into the end of the playlist. i.e. All current playlist items remain unchanged. When this is unchecked, new songs are simply added to the playlist as per the selection.

  • File Name: Sort the newly added files by file name.
  • Shuffle: Shuffle the newly added files into a random order.

View Style: You can change the playlist between a traditional list view or a more convenient treeview.

  • Folder View (Treeview): Check this to have all songs neatly displayed in expandable/collapsable folders for easy viewing and organization.
  • File View (List): Check this to display each song in the playlist in a traditional flat list format.

Playlist Font: Set the playlist font, size and color here. The preview text updates as you change the font settings.

Related Links:

| Table of Contents | General | Title Display Format | Playlist | Song Lyrics | Global Shortcuts | Sound Effects | Skins | File Associations | Miscellaneous


Preferences - Lyrics

 Song Lyrics
Choose how you want song lyrics displayed in ALSong and on your desktop.
Lyrics

Song lyrics preferences

Lyrics Font: Choose a font, font size, and a font color.

Show Desktop Lyrics Bar: To view lyrics on your desktop, check this then set your font, size, and transparency options.

  • Font Options: You can easily choose your font, size, and color.
  • View Height: Select how many lines of lyrics to display in the Desktop Lyrics Bar.
  • Always on Top: Check this to have ALSong on top of all other applications. Works well with transparency.
  • Transparency: Adjust this to make the Desktop Lyrics Bar more or less transparent. *Windows NT, 2000, XP or higher only.
  • Resize/Reposition Desktop Lyrics Bar: In the preview display, mouse over the Desktop Lyrics Bar preview to expose a move (4-way arrow) cursor or over an edge to reveal a resize (double-ended arrow) cursor. Click and adjust as required.

Related Links:

| Table of Contents | General | Title Display Format | Playlist | Song Lyrics | Global Shortcuts | Sound Effects | Skins | File Associations | Miscellaneous


Preferences - Shortcut Keys

 Global Shortcut Keys
Enable or disable global shortcut keys to suit your personal style.
Global Shortcut Keys

Global shortcut keys can be used to control ALSong from inside of any program

Enable Global Shortcut Keys: Check this to enable global shortcut keys inside of ALSong. When enabled, you can edit each shortcut key according to your personal preferences. Make sure to set a combination of 1 or 2 Alt, Ctrl, and Shift keys along with the actual key you wish to use. Shortcut keys give you fast access to all of the major functionality in ALSong from anywhere in Windows. ALSong does not need to be active (have focus) for them to be used. e.g. You can edit a document in Microsoft Word and still control ALSong without switching to ALSong.

Use Multimedia Keyboard: Check this to use the play, pause, volume, and other related controls on a multimedia keyboard with ALSong.

Related Links:

| Table of Contents | General | Title Display Format | Playlist | Song Lyrics | Global Shortcuts | Sound Effects | Skins | File Associations | Miscellaneous


Audio Effects

 Sound Effects
Set playback sound effects here.
Sound Effects

Apply sound effects in ALSong

Adjust Master Volume: Change the Windows master volume with this slider. You can also change this with the EQ Master Volume slider.

Fades (Fade In / Fade Out): Check this to fade out a song then fade in the next song when abruptly changing between songs for smooth transitions. This is used when clicking the forward or back buttons or double-clicking in the playlist.

Normalization: Normalization adjusts extreme volume levels, reducing high volumes, and increasing small volumes, making for a smoother listening experience.

Language Learner: Click this to display the Language Learner dialog where you can adjust tempo (does not change pitch) and pitch (does not change tempo). You can also set a start and end loop point or play a song backwards.

Related Links:

| Table of Contents | General | Title Display Format | Playlist | Song Lyrics | Global Shortcuts | Sound Effects | Skins | File Associations | Miscellaneous


Preferences - Skins and Transparency

 Skins
Choose an ALSong skin, a skin theme, and transparency level.
Skins

Skin preferences and color themes

Change Skins: Select one of the available skins here. An instant preview shows you what it will look like.

Change Color Theme: Select one of the available themes for your chosen skin. The preview updates as you cycle through your skin choices.

Change Skin Button: Click this button to change the ALSong skin while browsing skins and themes.

Download Skins: Click this to download new skins for ALSong.

Transparency: Check the box and use the slider to select a transparency level for ALSong. (10%~90%)
(Only available on Windows NT, 2000, XP and higher.)

Related Links:

| Table of Contents | General | Title Display Format | Playlist | Song Lyrics | Global Shortcuts | Sound Effects | Skins | File Associations | Miscellaneous


Preferences - File Associations

 File Associations
Choose which file types you wish to play with ALSong.
File Associations

File Associations - mp3, mpg, ogg, wav, wma, ape, flac, cda, cd, s3m, mod, asl, m3u, pls, sab

File Associations: Check each file type that you wish to use ALSong as your default player for. Double-clicking on a file in Windows Explorer will then automatically play the file with ALSong.

Restore File Associations: Check this option to automatically restore file associations if another program takes them.

Related Links:

| Table of Contents | General | Title Display Format | Playlist | Song Lyrics | Global Shortcuts | Sound Effects | Skins | File Associations | Miscellaneous


Preferences - Miscellaneous

 Miscellaneous
Miscellaneous preferences let you set useful options that don't belong in other preference categories.
Miscellaneous

ALSong Misc. Preferences

Update ALSong: Click the update button (if available) to check for new versions of ALSong.

ALSong Power Manager: Check this to conserve energy. Set the available options as required.

Related Links:

| Table of Contents | General | Title Display Format | Playlist | Song Lyrics | Global Shortcuts | Sound Effects | Skins | File Associations | Miscellaneous


 Listen to Web Radio
ALSong supports SHOUTcast web radio broadcasts so that you can listen to your favorite internet DJs and shows.
Web Radio

Listen to internet web radio broadcasts with ALSong

Broadcast URL: Type or paste a web radio address in here and click the open button to play that station.

Web Radio Stations: Double-click a web radio station to open it or click to select it then click the open button.

  • ALSong Web Radio Broadcasters - Select this for a list of other ALSong Internet DJs. This list contains links to other Internet DJs that are broadcasting with ALSong. (See section on settings for how to get into this list with your web radio show.)

  • My Web Radio Favorites - Select this to display, add, edit, and play your favorite web radio stations.

Add selected station to my favorites: Click this to add an ALSong DJ to your favorites.

My Web Radio Favorites

My Web Radio Favorites: Listen to web radio stations or broadcast your own web radio station with SHOUTcast.

  • Add - Add an internet web radio station to your favorites. Specify the address (URL) and the radio station name.

  • Edit - Select a favorite, click edit, and update the details for that radio station.

  • Delete - Select a favorite and click delete to remove the selected radio station from your favorites list.

To find a SHOUTcast web host, try searching for "shoutcast hosting" in your favorite search engine or click a search below (opens in a new window):

http://search.msn.com/results.aspx?q=shoutcast+hosting
http://www.google.com/search?q=shoutcast+hosting
http://search.yahoo.com/search?p=shoutcast+hosting

Related Links:

| Table of Contents | Listen to Web Radio | Broadcast Web Radio | Web Radio Settings


SHOUTcast Web Radio

 Broadcast Web Radio with SHOUTcast
Be your own internet web radio DJ with ALSong.
SHOUTcast Web Radio Broadcast

Broadcast web radio stations with ALSong and SHOUTcast

Broadcast Server: This is the server which broadcasts your web radio station and is set on the settings tab.

Broadcast Format: This shows what format you are broadcasting: Wave/Mic or ALSong output. This is set on the settings tab

Broadcast Quality: This shows the current broadcast quality as chosen on the settings tab.

Start/Stop Broadcast: Click this button to start broadcasting your web radio show. You must have your settings correct for this to work.

Broadcast Info: This information is what your listeners will see.

  • Stream Title - This corresponds to the "Stream Title" or "Stream name" in a SHOUTcast server. Somtimes this will be formatted. For information on this, check the "sc_serv.ini" file and look for the "TitleFormat=" entry and the accompanying documentation.

  • Stream URL - This is an Internet address of your choosing. You can point it to your own web site or blog. It must be fully formatted. e.g.:

    GOOD: http://www.mysite.com/
    GOOD: http://www.mysite.com/blog/
    GOOD: http://blog.mysite.com/index.aspx?show=1248
    BAD: www.mysite.com
    BAD: www.mysite.com/blog/
    BAD: blog.mysite.com/index.aspx?show=1248

  • Current Song - Check Auto to display the name of whatever song is currently playing, or uncheck auto and enter a name for your web radio show segment.

  • Description - Enter a description for your web radio station. Various SHOUTcast servers, clients, or web sites may or may not display this.

Broadcast Sound Levels: This section lets you control volumes and mic usage.

  • Wave Volume - This corresponds to the "Stream Title" or "Stream name" in a SHOUTcast server. Somtimes this will be formatted. For information on this, check the "sc_serv.ini" file and look for the "TitleFormat=" entry and the accompanying documentation.

  • Mic Volume - This may be the streaming file name ("listen.pls" by default) or an address to your web site, depending on the SHOUTcast server or client displaying it. Leaving it blank or checking Auto will display an ALTools address. Remember that your mic must not be muted in Recording Volume.

  • Audio Controls - The audio controls let you adjust hardware (sound card) settings. It is only available when you have your sound card selected as the Input Device on the settings tab.

    Volume Control: Click this to open the playback volume controls for your sound card.
    Recording Control: Click this to open the recording volume controls for your sound card.
    Volume Optimization: Click this to automatically adjust volume levels for the music and mic.

  • Toggle Mic On/Off - When ALSong Output is selected as the input device on the settings tab, this lets you stop streaming music from ALSong and use your mic instead. This is ideal if you want commentary or background music. Toggling the mic on will pause whatever music is currently playing.

Related Links:

| Table of Contents | Listen to Web Radio | Broadcast Web Radio | Web Radio Settings


 Web Radio Settings
Choose how to connect to the SHOUTcast server, what input/output devices to use and whether or not you want to be listed along with other ALSong SHOUTcast DJs.
Web Radio Settings

ALSong web radio broadcast settings

Broadcast Server Settings: Enter your SHOUTcast server information along with your password to connect to your.

  • Server URL - Set your SHOUTcast server URL. For a default SHOUTcast server this would look like:
    GOOD: www.myserver.com
    GOOD: 123.123.123.123
    BAD: http://www.myserver.com
    BAD: www.myserver.com/

    Your SHOUTcast service provider may give you slightly different information.

  • Port - Select a port to connect to the SHOUTcast server on. This is usually 8000. If you cannot connect on port 8000, contact your SHOUTcast hosting provider or system administrator for the correct number.

  • Password - This is the connection password. You should have received this when you set up your hosting account or SHOUTcast server.

  • Listening URL: - This is the URL that your audience will connect to.
    GOOD: http://www.myserver.com:8000/listen.pls
    GOOD: http://www.myserver.com:8000/mylogin/
    BAD: listen.pls
    BAD: www.myserver.com

  • Show your web radio station in ALSong broadcasts - Check this to display your web radio station in the "ALSong Web Radio Station Broadcasters" drop down on the Listen tab.

Input/Output Settings: Choose what to play and the quality of your radio station.

  • Input Device - Choose an input device for your radio station (ALSong or a sound card). If you're playing back music from a single source, you can choose "ALSong Output" to play exactly what you hear in ALSong. Choose a different device (a sound card) if you want to do commentary with a mic.

  • Sound Sources - If you're using your soundcard as the input instead of ALSong, choose a combination of mic and wave output from the drop down menu.

  • Sound Quality - Choose an audio quality setting. All settings refer to regular MP3 settings. Available choices include:
    48kbps, 44,100Hz mono
    56kbps, 44,100Hz mono
    64kbps, 44,100Hz mono
    80kbps, 44,100Hz mono
    96kbps, 44,100Hz mono
    112kbps, 44,100Hz mono
    128kbps, 44,100Hz mono
    96kbps, 44,100Hz stereo
    112kbps, 44,100Hz stereo
    128kbps, 44,100Hz stereo

    Note that if you have some splash audio (IntroFile) or backup audio file (BackupFile) on your server then you MUST select the same quality as that file or your listeners will get an ear full of nothing or static nastiness. (i.e. The same samplerate, bitrate, and mono/stereo)

Related Links:

| Table of Contents | Listen to Web Radio | Broadcast Web Radio | Web Radio Settings


Shorcut Keys

 Shortcut Keys
Shortcut keys make using ALSong much faster.
ALSong Shortcuts

Category | Shortcut Key | Function
File | L | Open File
 | Shift + L / Ctrl + L | Open File / URL
 | Ctrl + O | Open Playlist
 | Ctrl + S | Save Playlist
 | Alt + F4 | Exit ALSong
Play | Z | Previous Track
 | X / Space bar | Play / Pause
 | V | Stop
 | B | Next Track
 | Left Arrow | Rewind
 | Right Arrow | Fast Forward
 | Down Arrow | Volume Down
 | Up Arrow | Volume Up
 | M | Mute
View | Ctrl + P | Toggle Playlist Window on / off
 | Ctrl+ Q | Toggle Equalizer Window on / off
 | Ctrl + R | Toggle Song Lyrics Window on / off
 | Ctrl + E | Open Song Lyrics Editor
 | Ctrl + Alt + 3 | Open Batch Tag Editor
 | Alt + 3 | View File & Tag Info
Tools | F4 | Preferences
Help | F1 | Help

Related Links:

| Table of Contents | Shorcut Keys | Support | Get More ALTools!


Support

 Index
ALSong help index.
Index

dot For the fastest support, please use the following support path (in order from first to last):

  1. Check here in the Help - Most answers are here.
  2. Check online for tutorials & extra helpful tips
  3. Check the ALTools Forums or post in the ALTools Forums - This is preferred as everyone can share answers then.
  4. Start a support ticket in the online Support Desk - Use this if your support request contains sensitive information.
  5. Email - This should be a last resort as email is not reliable. Please refer to the ReadMe file in the program directory for the support email address & more information about email support.
  6. Telephone support is available in Korean during standard business hours, Korean standard time (GMT+9). Please visit the ALTools web site Contact page for telephone numbers, extension numbers and more information.

dot Support is only a click away - go to ALTools for online support. Just register for free and login to get instant access.

dot Our goal is to be your #1 choice in software by providing you with the best software and services possible. Should you ever have any questions or need assistance with any of our products, don't be bashful - contact us immediately through the ALTools Forums, our online Support Desk, or through email and we'll get back to you with an answer. Your satisfaction and happiness is important to us at ESTsoft.

ESTsoft is a member of the Association of Shareware Professionals (ASP)

ESTsoft is a member of the Association of Shareware Professionals dot ESTsoft is a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with an ASP member by contacting the member directly, ASP may be able to help. The ASP Ombudsman can help you resolve a dispute or technical problem with an ASP member, but does not provide technical support for members' products. Please contact the ASP Ombudsman online at http://www.asp-shareware.com/omb.

Related Links:

| Table of Contents | Shorcut Keys | Support | Get More ALTools!


Get More ALTools

 Index
ALSong help index.
Index

dot If you want more great free software, ALTools is the place to go. Visit ALTools today and get more free software and goodies. Here are some of the other free PC utilities available at ALTools:

Zip and unzip any file View any picture Transfer and share files

Manage logins and passwords easily Codecs Included DVD Movie Player Live Lyrics MP3 Player

dot And to help you keep your desktop fresh and fun, try these exciting holiday desktop wallpapers:

St. Patricks Day wallpapers St. Valentines Day 2006

Valentines day wallpaper Merry After Christmas

dot Or find out what your Chinese Zodiac sign is and celebrate the Lunar New Year with these fantastic desktop wallpapers:

Lunar zodiac wallpaper

year of the mouse year of the bull year of the tiger

year of the rabbit year of the dragon year of the snake

year of the horse year of the lamb year of the monkey

year of the chicken year of the dog year of the pig

dot There are lots more great PC utilities and goodies waiting for you so...

CLICK HERE TO GET MORE ALTOOLS~!

Related Links:

| Table of Contents | Shorcut Keys | Support | Get More ALTools!